org.keycloak.storage.federated

## Interface UserRequiredActionsFederatedStorage

- All Known Subinterfaces:
    UserFederatedStorageProvider, UserFederatedStorageProvider.Streams, UserRequiredActionsFederatedStorage.Streams
  All Known Implementing Classes:
    JpaUserFederatedStorageProvider

      public interface UserRequiredActionsFederatedStorage

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `UserRequiredActionsFederatedStorage.Streams` The `UserRequiredActionsFederatedStorage.Streams` interface makes all collection-based methods in `UserRequiredActionsFederatedStorage` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(RealmModel realm, String userId, String action)`
    `Set<String>` | `getRequiredActions(RealmModel realm, String userId)` Deprecated. Use `getRequiredActionsStream` instead.
    `default Stream<String>` | `getRequiredActionsStream(RealmModel realm, String userId)` Obtains the names of required actions associated with the federated user identified by `userId`.
    `void` | `removeRequiredAction(RealmModel realm, String userId, String action)`

- - ### Method Detail

    - #### getRequiredActions

          @Deprecated
          Set<String> getRequiredActions(RealmModel realm,
                                                     String userId)

      Deprecated. Use `getRequiredActionsStream` instead.

    - #### getRequiredActionsStream

          default Stream<String> getRequiredActionsStream(RealmModel realm,
                                                          String userId)

      Obtains the names of required actions associated with the federated user identified by `userId`.
      Parameters:
        `realm` - a reference to the realm.
        `userId` - the user identifier.
      Returns:
        a non-null `Stream` of required action names.

    - #### addRequiredAction

          void addRequiredAction(RealmModel realm,
                                 String userId,
                                 String action)

    - #### removeRequiredAction

          void removeRequiredAction(RealmModel realm,
                                    String userId,
                                    String action)

Copyright © 2020 JBoss by Red Hat. All rights reserved.